﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public home As VueComponent
	Public path As String
	Public name As String = "home"
	Private banano As BANano			'ignore
	Private btnMulti As VBtnIcon		'ignore
	Private confirmdialog As VMsgBox	'ignore
	Private inputdialog As VMsgBox		'ignore
	Private Mode As String
	Private userform As VForm			'ignore
End Sub

Sub Initialize(v As VuetifyApp)
	'establish a reference to the app
	vuetify = v
	'initialize the component
	home.Initialize(Me, name)
	home.vuetify = vuetify
	'make this the start page
	home.Path = "/"
	path = home.path
	'
	'build the page html here
	banano.LoadLayout(home.Here, "home")
	'
	confirmdialog.BindState(home)
	inputdialog.BindState(home)
	btnMulti.BindState(home)
	userform.CreateForm
	userform.BindState(home)
	
	'add this route component to the app
	vuetify.AddRoute(home)
End Sub	

Private Sub btnMulti_Click (item As String)
	Select Case item
	Case "add"
		'change the caption of the save button
		Mode = "a"
		inputdialog.UpdateOkLabel(home, "Save")
		inputdialog.UpdateVisible(home, True)
	Case "edit"
		Mode = "e"
		inputdialog.UpdateOkLabel(home, "Update")
		inputdialog.UpdateVisible(home, True)
	Case "delete"
		Mode = "d"
		inputdialog.UpdateOkLabel(home, "Delete")
		inputdialog.UpdateVisible(home, True)
	Case "input"
		Mode = ""
		inputdialog.UpdateOkLabel(home, "Ok")
		inputdialog.UpdateVisible(home, True)
	Case "confirm"
		confirmdialog.Confirm(home, "delete", "Confirm Delete", "Are you sure you want to delete this record?", "Ja", "Nee")
	End Select
End Sub

Private Sub inputdialog_ok_click (e As BANanoEvent)
	'get the action
	vuetify.ShowSwalSuccess(Mode)
End Sub

Private Sub confirmdialog_ok_click (e As BANanoEvent)
	Dim sprocess As String = confirmdialog.Process(home)
	vuetify.ShowSwalToastSuccess(sprocess, 1000)
End Sub

Private Sub inputdialog_cancel_click (e As BANanoEvent)
	inputdialog.UpdateVisible(home, False)
End Sub

Private Sub confirmdialog_cancel_click (e As BANanoEvent)
	'hide the confirm dialog
	confirmdialog.UpdateVisible(home, False)	
End Sub