﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.5
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public vuetify As VuetifyApp		'ignore
	Public BANano As BANano		'ignore
	Private appmain As VLabel			'ignore
	Private approuterview As VLabel 'ignore
	Private apptransition As VTransition 'ignore
	Private inspire As VApp 'ignore 
	Private appbar As VAppBar 'ignore
	Private appdrawer As VNavigationDrawer 'ignore
	Private apphamburger As VAppBarNavIcon 'ignore
	Private applogo As VAvatar 'ignore
	Private drwlist As VList 'ignore
	Private drwoptions As VListOptions		'ignore
	Private apptitle As VToolBarTitle 'ignore
	
	
	'PAGES
	Dim pgViewHome As ViewHome
	Dim pgViewOne As ViewOne
	Dim pgViewTwo As ViewTwo
	Dim pgViewLeadlet As ViewLeaflet
End Sub

Sub Init
	'initialize the app
	vuetify.Initialize(Me, Main.AppName)
	'set the app title
	vuetify.SetData("apptitle", Main.AppTitle)
	'load the base layout
	BANano.LoadLayout(vuetify.Here, "baselayout")
	'bind the evelements
	vuetify.BindVueElement(appmain.VElement)
	vuetify.BindVueElement(approuterview.VElement)
	vuetify.BindVueElement(apptransition.VElement)
	vuetify.BindVueElement(inspire.VElement)
	vuetify.BindVueElement(appbar.VElement)
	vuetify.BindVueElement(appdrawer.VElement)
	vuetify.BindVueElement(apphamburger.VElement)
	vuetify.BindVueElement(applogo.VElement)
	vuetify.BindVueElement(apptitle.VElement)
	
	'set the list options
	drwlist.SetOptions(drwoptions)
	vuetify.BindVueElement(drwlist.VElement)
	'
	'tell view about the router view
	vuetify.RouterViewName = approuterview.id
	'set the progress loader
	vuetify.FindProgressLoaderOn(appbar)
	
	'add other route component pages
	AddPages
	
	
	'add items to the drawer at runtime
	vuetify.SetCreated(Me, "oncreated", Null)
	'render the ux
	vuetify.Serve
End Sub


Sub oncreated			'ignoreDeadCode
	'clear the drawer
	drwlist.ClearOnApp(vuetify)
	drwlist.AddHeader("Enhanced Design System")
	drwlist.AddItem("", "homex", "mdi-home", "green", "Home", "/")
	drwlist.AddItem("", "onex", "mdi-access-point-check", "orange", "One", "/one")
	drwlist.AddItem("", "twox", "mdi-silverware", "brown", "Two", "/two")
	drwlist.AddItem("", "llx", "mdi-leaf", "indigo", "Leaflet", "/leaf")
	'refresh the drawer
	drwlist.RefreshOnApp(vuetify)
End Sub

'code to add other pages to the app
Sub AddPages			'IgnoreDeadCode
	pgViewHome.Initialize(vuetify) 
	pgViewOne.Initialize(vuetify) 
	pgViewTwo.Initialize(vuetify) 
	pgViewLeadlet.Initialize(vuetify)
End Sub

Private Sub apphamburger_ClickStop (e As BANanoEvent)			'ignoreDeadCode
	appdrawer.ToggleOnApp(vuetify)
End Sub

Private Sub drwlist_Click (item As Map)				'ignoreDeadCode
	'vuetify.ShowSwal(BANano.ToJson(item))
End Sub